--- old/usr/src/lib/fm/libfmd_snmp/mibs/SUN-FM-MIB.mib	Mon Aug  5 17:16:07 2019
+++ new/usr/src/lib/fm/libfmd_snmp/mibs/SUN-FM-MIB.mib	Mon Aug  5 17:16:07 2019
@@ -21,6 +21,7 @@
 
 --
 -- Copyright (c) 2008, 2010,  Oracle and/or its affiliates. All rights reserved.
+-- Copyright 2018 Nexenta Systems, Inc.
 --
 
 SUN-FM-MIB DEFINITIONS ::= BEGIN
@@ -38,23 +39,16 @@
 		FROM NETWORK-SERVICES-MIB;
 
 sunFmMIB MODULE-IDENTITY
-	LAST-UPDATED	"200808040000Z"
-	ORGANIZATION	"Oracle Corporation"
-	CONTACT-INFO	"Oracle Corporation
-			 500 Oracle Parkway
-			 Redwood Shores, CA 94065
-
-			 1.650.506.7000 or
-			 1.800.392.2999
-
-			 http://www.oracle.com
-			 or contact your local support representative"
+	LAST-UPDATED	"201803120000Z"
+	ORGANIZATION	"Nexenta Systems, Inc."
+	CONTACT-INFO	"https://www.nexenta.com"
 	DESCRIPTION
 		"Copyright (c) 2005, 2010, Oracle and/or its affiliates. All rights reserved.
+		Copyright 2018 Nexenta Systems, Inc.
 
-		MIB providing access to Oracle Fault Manager information"
-	REVISION	"200808040000Z"
-	DESCRIPTION	"Version: 1.1"
+		MIB providing access to Fault Manager information"
+	REVISION	"201803120000Z"
+	DESCRIPTION	"Version: 1.3"
 	::= { fm 1 }
 
 fm OBJECT IDENTIFIER ::= { products 195 }
@@ -133,8 +127,13 @@
 SunFmProblemEntry ::= SEQUENCE {
 	sunFmProblemUUIDIndex		SunFmUuidString,
 	sunFmProblemUUID		SunFmUuidString,
+	sunFmProblemHostname		DisplayString,
 	sunFmProblemCode		DisplayString,
+	sunFmProblemType		DisplayString,
+	sunFmProblemSeverity		DisplayString,
 	sunFmProblemURL			URLString,
+	sunFmProblemDescription		DisplayString,
+	sunFmProblemFMRI		DisplayString,
 	sunFmProblemDiagEngine		URLString,
 	sunFmProblemDiagTime		DateAndTime,
 	sunFmProblemSuspectCount	Gauge32
@@ -159,16 +158,39 @@
 		recorded by fmd(1M) and shown by fmadm(1M) or fmdump(1M)."
 	::= { sunFmProblemEntry 2 }
 
-sunFmProblemCode OBJECT-TYPE
+sunFmProblemHostname OBJECT-TYPE
 	SYNTAX		DisplayString
 	MAX-ACCESS	read-only
 	STATUS		current
 	DESCRIPTION
-		"The SUNW-MSG-ID static message identifier for this class of
-		problem, as recorded by fmd(1M) and shown by fmdump(1M).  The
-		message identifier can be used as a key at http://illumos.org/msg/"
+		"Hostname of the system on which the problem occurred."
 	::= { sunFmProblemEntry 3 }
 
+sunFmProblemCode OBJECT-TYPE
+	SYNTAX		DisplayString
+	MAX-ACCESS	read-only
+	STATUS		current
+	DESCRIPTION
+		"The static message identifier for this class of
+		problem, as recorded by fmd(1M) and shown by fmdump(1M)."
+	::= { sunFmProblemEntry 4 }
+
+sunFmProblemType OBJECT-TYPE
+	SYNTAX		DisplayString
+	MAX-ACCESS	read-only
+	STATUS		current
+	DESCRIPTION
+		"The type of this problem."
+	::= { sunFmProblemEntry 5 }
+
+sunFmProblemSeverity OBJECT-TYPE
+	SYNTAX		DisplayString
+	MAX-ACCESS	read-only
+	STATUS		current
+	DESCRIPTION
+		"The severity of this problem."
+	::= { sunFmProblemEntry 6 }
+
 sunFmProblemURL OBJECT-TYPE
 	SYNTAX		URLString
 	MAX-ACCESS	read-only
@@ -176,16 +198,33 @@
 	DESCRIPTION
 		"The URL of an appropriate knowledge article providing more
 		detailed information about this problem."
-	::= { sunFmProblemEntry 4 }
+	::= { sunFmProblemEntry 7 }
 
+sunFmProblemDescription OBJECT-TYPE
+	SYNTAX		DisplayString
+	MAX-ACCESS	read-only
+	STATUS		current
+	DESCRIPTION
+		"The short problem description."
+	::= { sunFmProblemEntry 8 }
+
+sunFmProblemFMRI OBJECT-TYPE
+	SYNTAX		DisplayString
+	MAX-ACCESS	read-only
+	STATUS		current
+	DESCRIPTION
+		"The FMRI of the SMF service associated with this problem
+		(if any)."
+	::= { sunFmProblemEntry 9 }
+
 sunFmProblemDiagEngine OBJECT-TYPE
 	SYNTAX		URLString
 	MAX-ACCESS	read-only
 	STATUS		current
 	DESCRIPTION
-		"The Sun FMRI of the Fault Manager diagnosis engine that
+		"The FMRI of the Fault Manager diagnosis engine that
 		performed the diagnosis of this problem, including its version."
-	::= { sunFmProblemEntry 5 }
+	::= { sunFmProblemEntry 10 }
 
 sunFmProblemDiagTime OBJECT-TYPE
 	SYNTAX		DateAndTime
@@ -193,7 +232,7 @@
 	STATUS		current
 	DESCRIPTION
 		"The date and time at which the problem was diagnosed."
-	::= { sunFmProblemEntry 6 }
+	::= { sunFmProblemEntry 11 }
 
 sunFmProblemSuspectCount OBJECT-TYPE
 	SYNTAX		Gauge32
@@ -203,7 +242,7 @@
 		"The number of individual suspect defects or faults
 		associated with this problem diagnosis, as shown by
 		fmdump(1M) -v -u <UUID>."
-	::= { sunFmProblemEntry 7 }
+	::= { sunFmProblemEntry 12 }
 
 --
 -- Events are indexed by the associated problem UUID and an index ranging
@@ -226,7 +265,7 @@
 	MAX-ACCESS	not-accessible
 	STATUS		current
 	DESCRIPTION
-		"Sun Fault Management fault or defect event containing a
+		"Fault Management fault or defect event containing a
 		suspect problem and the corresponding FRU and ASRU."
 	INDEX	{ sunFmFaultEventUUIDIndex, sunFmFaultEventIndex }
 	::= { sunFmFaultEventTable 1 }
@@ -279,7 +318,7 @@
 	MAX-ACCESS	read-only
 	STATUS		current
 	DESCRIPTION
-		"Sun Fault Management event class string."
+		"Fault Management event class string."
 	::= { sunFmFaultEventEntry 4 }
 
 sunFmFaultEventCertainty OBJECT-TYPE
@@ -296,7 +335,7 @@
 	MAX-ACCESS	read-only
 	STATUS		current
 	DESCRIPTION
-		"Sun FMRI of the Automated System Reconfiguration Unit (ASRU)
+		"FMRI of the Automated System Reconfiguration Unit (ASRU)
 		that is believed to contain the specified fault or defect."
 	::= { sunFmFaultEventEntry 6 }
 
@@ -305,7 +344,7 @@
 	MAX-ACCESS	read-only
 	STATUS		current
 	DESCRIPTION
-		"Sun FMRI of the Field Replaceable Unit (FRU) that should be
+		"FMRI of the Field Replaceable Unit (FRU) that should be
 		replaced in order to repair the specified fault or defect."
 	::= { sunFmFaultEventEntry 7 }
 
@@ -314,7 +353,7 @@
 	MAX-ACCESS	read-only
 	STATUS		current
 	DESCRIPTION
-		"Sun FMRI of the resource responsible for the generation of
+		"FMRI of the resource responsible for the generation of
 		the telemetry leading to the diagnosis."
 	::= { sunFmFaultEventEntry 8 }
 
@@ -323,7 +362,7 @@
 	MAX-ACCESS	read-only
 	STATUS		current
 	DESCRIPTION
-		"The current status of this suspect for this diagnosis. 
+		"The current status of this suspect for this diagnosis.
 		See fmadm(1M) faulty."
 	::= { sunFmFaultEventEntry 9 }
 
@@ -333,7 +372,7 @@
 	STATUS		current
 	DESCRIPTION
 		"Label of the Field Replaceable Unit (FRU) that should be
-                replaced in order to repair the specified fault or defect."
+		replaced in order to repair the specified fault or defect."
 	::= { sunFmFaultEventEntry 10 }
 
 --
@@ -458,7 +497,7 @@
 	MAX-ACCESS	read-only
 	STATUS		current
 	DESCRIPTION
-		"Sun FMRI of the Automated System Reconfiguration Unit (ASRU)
+		"FMRI of the Automated System Reconfiguration Unit (ASRU)
 		which the fault manager believes to be faulty."
 	::= { sunFmResourceEntry 2 }
 
@@ -484,8 +523,13 @@
 
 sunFmObjectGroup OBJECT-GROUP OBJECTS {
 		sunFmProblemUUID,
+		sunFmProblemHostname,
 		sunFmProblemCode,
+		sunFmProblemType,
+		sunFmProblemSeverity,
 		sunFmProblemURL,
+		sunFmProblemFMRI,
+		sunFmProblemDescription,
 		sunFmProblemDiagEngine,
 		sunFmProblemDiagTime,
 		sunFmProblemSuspectCount,
@@ -508,11 +552,11 @@
 	}
 	STATUS	current
 	DESCRIPTION
-		"A collection of objects providing access to Sun Fault
+		"A collection of objects providing access to Fault
 		Manager operational data."
 	::= { sunFmObjectGroups 1 }
-	
 
+
 --
 -- RFC 3584 requires that the next-to-last sub-ID be zero to allow for
 -- mapping v2/v3 notifications to v1 traps.
@@ -523,8 +567,13 @@
 sunFmProblemTrap NOTIFICATION-TYPE
 	OBJECTS	{
 		sunFmProblemUUID,
+		sunFmProblemHostname,
 		sunFmProblemCode,
-		sunFmProblemURL
+		sunFmProblemType,
+		sunFmProblemSeverity,
+		sunFmProblemURL,
+		sunFmProblemDescription,
+		sunFmProblemFMRI
 	}
 	STATUS	current
 	DESCRIPTION
@@ -538,9 +587,7 @@
 	}
 	STATUS	current
 	DESCRIPTION
-		"A collection of notifications provided by the Sun Fault
-		Manager."
+		"A collection of notifications provided by the Fault Manager."
 	::= { sunFmObjectGroups 2 }
 
 END
-
